// CardGameEx3.java

import ch.aplu.jcardgame.*;
import ch.aplu.jgamegrid.*;

public class CardGameEx3 extends CardGame
{
  public enum Suit
  {
    KREUZ, KARO, HERZ, PIK
  }

  public enum Rank
  {
    ASS, KOENIG, DAME, BAUER, ZEHN, NEUN, ACHT, SIEBEN, SECHS
  }
  private Deck deck = new Deck(Suit.values(), Rank.values(), "cover");
  private final int nbPlayers = 2;
  private final int nbCards = 7;
  private Hand[] hands;

  public CardGameEx3()
  {
    super(600, 600, 70);
    hands = deck.dealingOut(nbPlayers, nbCards);
    RowLayout rowLayout = new RowLayout(new Location(300, 450), 350);
    hands[0].setView(this, rowLayout);
    hands[0].draw();
    RowLayout rowLayout1 = new RowLayout(new Location(300, 150), 350);
    hands[1].setView(this, rowLayout1);
    hands[1].draw();
    moveCards();
  }

  private void moveCards()
  {
    for (int i = 0; i < nbCards; i++)
    {
      Card top = hands[0].getFirst();
      hands[0].transfer(top, hands[1], true);
      hands[1].sort(Hand.SortType.SUITPRIORITY, true);
    }
  }

  public static void main(String[] args)
  {
    new CardGameEx3();
  }
}
